Bug 442282 - 32-bit nspluginwrapper components are not installed
32-bit nspluginwrapper components are not installed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-13 16:07 EDT by Carl Roth
Modified: 2013-01-09 23:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 09:31:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Roth 2008-04-13 16:07:53 EDT
Description of problem:

In order for nspluginwrapper to work correctly with 32-bit plugins on 64-bit
systems, both the 32- and 64-bit versions of the package need to be installed.

The current default YUM behavior with 64-bit systems (multilib_policy=best) will
never install nspluginwrapper.i386 unless the architecture is spelled out
explicitly.

Version-Release number of selected component (if applicable):

yum-3.2.14-2.fc9.noarch
nspluginwrapper-0.9.91.5-26.fc9.x86_64
nspluginwrapper-0.9.91.5-26.fc9.i386

How reproducible:

Always

Steps to Reproduce:
1. Install nspluginwrapper on a 64-bit system; verify that the 32-bit version
did *not* get installed
2. Install a 32-bit plugin such as flash-plugin
3. Note that mozilla-plugin-config does not wrap this plugin
  
Actual results:

32-bit plugins are not wrapped correctly

Expected results:

The 32- and 64-bit versions of nspluginwrapper should unconditionally be
installed on 64-bit systems.

Additional info:

Several hacky workarounds for this problem:

1. manually yum-install 'nspluginwrapper.i386'

This workaround is great if you're using YUM, which understands the 'i386'
suffix; it's not so great for encoding into RPM dependencies.

OR

2. manually install or rpm-require 'npwrapper.so'

This technique works in RPM 'Requires' stanzas too.
Comment 1 Martin Stransky 2008-04-17 08:23:21 EDT
I'm not against to install the nspluginwrapper.i386 by default on x86_64...
Comment 2 Jesse Keating 2008-04-17 09:24:54 EDT
I am, as it drags in 51 (inclusive) other i386 packages to an otherwise i386
free default install.  FESCO already voted on this issue and they will not be
installed by default.
Comment 3 Martin Stransky 2008-04-17 09:31:18 EDT
Well, closing as wontfix then.
Comment 4 Jesse Keating 2008-04-17 09:48:30 EDT
You can add file deps to the nspluginwrapper package so that the 64bit one
always pulls in the 32bit one.  That's safe if we're not installing
nspluginwrapper by default (which we aren't).
Comment 5 Jesse Keating 2008-04-17 09:49:01 EDT
Well, n/m, that might upset the folks who want pluginwrapper but have no desire
to wrap 32bit plugins.

Note You need to log in before you can comment on or make changes to this bug.